package com.lz.modules.flow.entity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Date;
import java.util.List;

/**
* <p>
* </p>*绩效管理菜单表
* @author quyixiao
* @since 2020-11-02
*/

@Data
@TableName("lz_staff_menu")
@ApiModel(value = "绩效管理菜单表")
public class StaffMenu implements java.io.Serializable {
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除状态，1：删除，0：有效
    @ApiModelProperty(value = "是否删除状态，1：删除，0：有效", name = "isDelete")
    private Integer isDelete;
    //创建时间
    @ApiModelProperty(value = "创建时间", name = "gmtCreate")
    private Date gmtCreate;
    //最后修改时间
    @ApiModelProperty(value = "最后修改时间", name = "gmtModified")
    private Date gmtModified;
    //菜单名称
    @ApiModelProperty(value = "菜单名称", name = "name")
    private String name;
    //父亲节点 id
    @ApiModelProperty(value = "父亲节点 id", name = "parentId")
    private Long parentId;
    //授权 id
    @ApiModelProperty(value = "授权 id", name = "authIds")
    private String authIds;
    @TableField(exist=false)
    private List<StaffMenu> childs;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除状态，1：删除，0：有效 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除状态，1：删除，0：有效 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 最后修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 最后修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 菜单名称 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 菜单名称 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 父亲节点 id 
     * @return
     */
    public Long getParentId() {
        return parentId;
    }
    /**
     * 父亲节点 id 
     * @param parentId
     */
    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    /**
     * 授权 id 
     * @return
     */
    public String getAuthIds() {
        return authIds;
    }
    /**
     * 授权 id 
     * @param authIds
     */
    public void setAuthIds(String authIds) {
        this.authIds = authIds;
    }

    @Override
    public String toString() {
        return "StaffMenu{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",name=" + name +
                ",parentId=" + parentId +
                ",authIds=" + authIds +
                "}";
    }
}